import { version } from '@/constants';
import { useModel, useNavigate, useParams } from '@umijs/max';
import styles from './index.less';
const Center = () => {
  const { initialState } = useModel('@@initialState');
  const user = initialState?.user || {};
  const navigate = useNavigate();

  const { projectId } = useParams();

  const handleGoSystem = () => {
    navigate(`/system-daily/${projectId}`);
  };
  const handleSmartReport = () => {
    navigate(`/smart-report/${projectId}`);
  };

  const toMyTask = (type) => {
    navigate(`/task-manage/${projectId}?user_id=${user.ID}&tab=${type}`);
  };

  return (
    <div className={styles.page}>
      <div className={styles.head}>
        <div className={styles.profile} />
        <div className={styles.textContent}>
          <div className={styles.name}>{user?.CName}</div>
          <div className={styles.photo}>
            手机号：{user?.Mobile}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;系统版本：
            {version}
          </div>
        </div>
      </div>
      <div className={styles.center}>
        <div
          className={styles.item}
          onClick={() => {
            toMyTask(1);
          }}
        >
          我的任务
        </div>
        <div
          className={styles.item}
          onClick={() => {
            toMyTask(2);
          }}
        >
          我的工单
        </div>
      </div>
      <div className={styles.bottomContent}>
        <div className={styles.lineItem} onClick={handleGoSystem}>
          系统报告
        </div>
        <div className={styles.lineItem} onClick={handleSmartReport}>
          智慧运用报告
        </div>
        <div className={styles.lineItem}>问题反馈备份</div>
        <div className={styles.lineItem}>个人设置</div>
      </div>
      <div className={styles.loginOut}>退出登录</div>
    </div>
  );
};
export default Center;
